<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>ConfigurationBuilder (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ConfigurationBuilder (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ConfigurationBuilder.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilderEvent.html" title="class in org.apache.commons.configuration2.builder"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/builder/ConfigurationBuilder.html" target="_top">Frames</a></li>
<li><a href="ConfigurationBuilder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.builder</div>
<h2 title="Interface ConfigurationBuilder" class="title">Interface ConfigurationBuilder&lt;T extends <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html" title="interface in org.apache.commons.configuration2">ImmutableConfiguration</a>&gt;</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>T</code> - the concrete type of the <code>ImmutableConfiguration</code> class produced by
        this builder</dd>
</dl>
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/event/EventSource.html" title="interface in org.apache.commons.configuration2.event">EventSource</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">BasicConfigurationBuilder</a>, <a href="../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">CombinedConfigurationBuilder</a>, <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">FileBasedConfigurationBuilder</a>, <a href="../../../../../org/apache/commons/configuration2/builder/combined/MultiFileConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">MultiFileConfigurationBuilder</a>, <a href="../../../../../org/apache/commons/configuration2/builder/combined/ReloadingCombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">ReloadingCombinedConfigurationBuilder</a>, <a href="../../../../../org/apache/commons/configuration2/builder/ReloadingFileBasedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">ReloadingFileBasedConfigurationBuilder</a>, <a href="../../../../../org/apache/commons/configuration2/builder/combined/ReloadingMultiFileConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">ReloadingMultiFileConfigurationBuilder</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">ConfigurationBuilder&lt;T extends <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html" title="interface in org.apache.commons.configuration2">ImmutableConfiguration</a>&gt;</span>
extends <a href="../../../../../org/apache/commons/configuration2/event/EventSource.html" title="interface in org.apache.commons.configuration2.event">EventSource</a></pre>
<div class="block"><p>
 Definition of an interface for objects that can create <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html" title="interface in org.apache.commons.configuration2"><code>ImmutableConfiguration</code></a>
 or <a href="../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2"><code>Configuration</code></a> objects of a
 specific type.
 </p>
 <p>
 This interface defines an abstract way of creating a <code>ImmutableConfiguration</code>
 object. It does not assume any specific way of how this is done; this is
 completely in the responsibility of an implementation class. There is just a
 single method that returns the configuration constructed by this builder.
 </p>
 <p>
 Note: <code>ImmutableConfiguration</code> is just the base interface for all configuration
 objects. So that the return type of the <code>getConfiguration()</code> method is
 <code>ImmutableConfiguration</code> does not mean that only immutable configurations can
 be created.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: ConfigurationBuilder.java 1706911 2015-10-05 20:01:32Z oheger $</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="type parameter in ConfigurationBuilder">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html#getConfiguration--">getConfiguration</a></span>()</code>
<div class="block">Returns the configuration provided by this builder.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.event.EventSource">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.apache.commons.configuration2.event.<a href="../../../../../org/apache/commons/configuration2/event/EventSource.html" title="interface in org.apache.commons.configuration2.event">EventSource</a></h3>
<code><a href="../../../../../org/apache/commons/configuration2/event/EventSource.html#addEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">addEventListener</a>, <a href="../../../../../org/apache/commons/configuration2/event/EventSource.html#removeEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">removeEventListener</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getConfiguration--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getConfiguration</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="type parameter in ConfigurationBuilder">T</a>&nbsp;getConfiguration()
            throws <a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Returns the configuration provided by this builder. An implementation has
 to perform all necessary steps for creating and initializing a
 <code>ImmutableConfiguration</code> object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the configuration</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ConfigurationBuilder.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilderEvent.html" title="class in org.apache.commons.configuration2.builder"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/builder/ConfigurationBuilder.html" target="_top">Frames</a></li>
<li><a href="ConfigurationBuilder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
